@charset "UTF-8";

.p-0 {
	padding: 0 !important;
}
.p-5{
	padding: 5px !important;
}

.justify-content-left {
	justify-content: left !important
}

.login-wrapper {
	margin: 0 auto;
	display: flex;
	height: 100%;
}

.admin-footer {
	background-color: #132058;
	padding: 10px;
	color: #fff;
	text-align: center;
}
/*로그인*/
.admin-login-group {
	display: flex;
	flex-direction: column;
	gap: 30px;
}

.admin-section-first {
	width: 900px;
	display: flex;
	flex-direction: column;
	margin: auto;
	box-shadow: 0 6px 20px rgba(0, 0, 0, 0.08);
}

.top-mega-menu .menu {
	display: flex;
}

.mega-menu.admin {
	border-top: 1px solid #132058;
}

.mega-menu.admin ul li a:a:hover {
	color: #132058;
}

.top-mega-menu .menu.admin li a:hover {
	color: #132058;
}

.header-wrap.admin {
	border-bottom: 1px solid #132058;
}

.menu-text-title.admin {
	border-bottom: 2px solid #132058;
}

.content-title.admin {
	background-color: #132058;
}

.docscontent.admin {
	background-color: #edf2ff;
}

.luser-mid-section {
	display: flex;
	width: 100%;
	height: 600px;
}

/*회원관리*/
.search-wrap {
	display: flex;
	width: 100%;
	flex-direction: column;
	gap: 10px;
}

.search-wrap ul {
	width: 100%;
}

.search-wrap ul li.search-item {
	display: flex;
	width: 100%;
	border-bottom: 1px solid #ddd;
	border-right: 1px solid #ddd;
	border-left: 1px solid #ddd;
}

.search-wrap ul li.search-item:first-child {
	border-top: 1px solid #ddd;
}

.search-item .search-title {
	padding: 10px;
	background-color: #f9fafb;
	min-width: 130px;
	display: flex;
	border-right: 1px solid #e4e7ec;
	justify-content: center;
	font-size: 14px;
	font-weight: 500;
	align-items: center;
}

.search-area.in-name {
	width: 100%;
}

.search-item .search-area {
	display: flex;
	gap: 5px;
	align-items: center;
	font-size: 13px;
	padding: 5px;
}

.search-item .search-box {
	display: flex;
	width: 100%;
	flex-wrap: wrap;
}

.search-area input[type="radio"] {
	width: 18px;
	height: 18px;
	accent-color: #132058; /* 남색으로 선택 표시 */
}

.search-area label {
	cursor: pointer;
}

.search-area input {
	border: 1px solid #ddd;
	padding: 5px;
	border-radius: 5px;
}

.search-btn {
	display: flex;
	width: 100%;
	justify-content: end;
}

/*
  .search-btn .btn-navy{
    width: 60px;
    background-color: #132058;
    padding: 3px 5px;
    border-radius: 5px;
    color: #fff;
  }
  */
.search-table {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.search-table-sub {
	display: flex;
	width: 100%;
	flex-direction: column;
}

.search-table-title, .search-table-list {
	display: flex;
	width: 100%;
}

.search-table-title ul {
	display: flex;
	width: 100%;
	background-color: #f9fafb;
	border: 1px solid #e4e7ec;
}

.search-table-title .table-title-2 ul {
	border: none;
	flex-direction: column;
}

.table-title-2 {
	width: 100%;
	display: flex;
	height: 100%;
}

.search-table-list.text-top li {
	font-weight: bold !important;
}

.search-table-list.new.text-top  li.line-break span::before,
	.search-table-list.new li.line-break span::before {
	content: 'New';
	font-size: 9px;
	background-color: #f9faff;
	display: inline-block;
	text-align: center;
	vertical-align: super;
	color: #2d50ff;
	margin-right: 5px;
	font-weight: 600;
	padding: 0 3px;
	border: 1px solid #2d50ff;
}

.search-total-num {
	display: flex;
}

.search-num {
	display: flex;
	gap: 3px;
}

.search-table-num {
	color: #2d50ff;
	font-weight: 600;
}

.h-100-auto {
	height: 100%;
	min-height: auto;
	overflow: auto;
	scrollbar-width: thin;
	scrollbar-color: #0000001f transparent;
}

.tag-text:empty {
	min-height: 255px; /* 값 없을 때만 기본 높이 */
}

.search-table-list .audit {
	padding: 5px;
	border-radius: 5px;
	background-color: #ecfdf3;
	color: #039855;
	width: 70px;
	display: flex;
	justify-content: center;
}

.search-table-list .approval {
	padding: 5px;
	border-radius: 5px;
	background-color: #edf2ff;
	color: #2d50ff;
	width: 70px;
	display: flex;
	justify-content: center;
}

.search-table-list .secession {
	padding: 5px;
	border-radius: 5px;
	background-color: #f2f2f2;
	color: #000;
	width: 70px;
	display: flex;
	justify-content: center;
}

.search-table-list .reject {
	padding: 5px;
	border-radius: 5px;
	background-color: #fef3f2;
	color: #d92d20;
	width: 70px;
	display: flex;
	justify-content: center;
}

.dt-paging {
	display: flex;
	width: 100%;
	justify-content: center;
}

.pagination {
	display: flex;
	gap: 3px;
}

.dt-paging-button.page-item {
	padding: 5px;
	border: 1px solid #ddd;
	width: 30px;
	height: 30px;
	border-radius: 5px;
	display: flex;
	justify-content: center;
	font-size: 13px;
	cursor: pointer;
}

.dt-paging-button.page-item .page-link {
	display: flex;
	align-items: center;
}

.dt-paging-button.page-item.active {
	background-color: #132058;
}

.dt-paging-button.page-item.active .page-link {
	color: #fff;
}

.horizontal {
	transform: scaleX(-1); /* 좌우 뒤집기 */
}

.search-table-container {
	display: flex;
	flex-direction: column;
	gap: 30px;
}

.information-group {
	display: flex;
	width: 100%;
}

.information-list {
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	border: 1px solid #ddd;
}

.information-list li.information-item {
	width: 100%;
	display: flex;
	gap: 5px;
	border-bottom: 1px solid #ddd;
}

.information-item>.information-box {
	display: flex;
	gap: 10px;
}

.information-item.half>.information-box {
	width: 100%;
	display: flex;
	gap: 10px;
}

.information-list li.information-item.half {
	flex: 1 1 50%;
	display: flex;
	gap: 5px;
}

.information-title {
	padding: 10px;
	background-color: #f9fafb;
	min-width: 150px;
	max-width: 150px;
	width: 150px;
	display: flex;
	border-right: 1px solid #e4e7ec;
	justify-content: center;
	font-size: 14px;
	font-weight: 500;
	align-items: center;
	text-align: center;
}

.information-area {
	display: flex;
	align-items: center;
	font-size: 13px;
	gap: 5px;
	width: max-content;
}

.information-area span {
	display: flex;
	gap: 5px;
	align-items: center;
}

.information-text {
	width: calc(100% - 5px);
	padding: 5px 0;
	display: flex;
}
.information-text label.version-group{
    display: flex;
    gap: 5px;	
}

.information-text .version-num{
    width: auto;
	
}

.textarea {
	width: 100%;
	border: 1px solid #ddd;
	display: flex;
	height: 60px;
	border-radius: 5px;
	padding: 5px;
}

.information-area input[type="radio"] {
	width: 18px;
	height: 18px;
	accent-color: #132058;
}

.search-area input[type="text"] {
	width: 100%;
}

.information-text input {
	border: 1px solid #ddd;
	padding: 5px;
	border-radius: 5px;
	height: 30px;
	font-size: 14px;
    width: 100%;
}

input.disabled {
	background-color: #f0f0f0;
	color: #888;
	border: 1px solid #ccc;
}

.information-text button {
	background-color: #132058;
	padding: 5px 10px;
	border-radius: 5px;
	color: #fff;
}

.information-text button.btn-blue {
	background-color: #2D50FF;
	padding: 5px 10px;
	border-radius: 5px;
	color: #fff;
}

/* .information-list li.information-item:last-child {
  border-bottom: none; 
} */
.information-list:last-child {
	border-bottom: none;
}

.information {
	display: flex;
	flex-direction: column;
	gap: 10px;
	height: 100%;
}

/* 커뮤니티*/
.search-group {
	padding: 10px;
	display: flex;
	width: 100%;
	gap: 10px;
}

.sort-select {
	padding: 3px 5px;
	border-radius: 5px;
	border: 1px solid #ddd;
	font-size: 14px;
	background-color: #fff;
	cursor: pointer;
}

.search-inp {
	width: calc(100% - 80px);
}

.search-inp input[type="text"] {
	width: 100%;
	border: 1px solid #ddd;
	padding: 5px;
	border-radius: 5px;
}

.community.search-table-title ul li:first-child, .community.search-table-list ul li:first-child
	{
	flex: 2;
	text-align: left;
	margin-left: 20px;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 2;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.community.search-table-list ul li span.views, .community.search-table-list ul li span.comment
	{
	display: flex;
	gap: 5px;
	color: #000;
	flex: 0.5;
	justify-content: flex-start;
}

.community.search-table-list ul li span.views img, .community.search-table-list ul li span.comment img
	{
	width: 15px;
}

.community.search-table-title .views, .community.search-table-title .comment
	{
	flex: 0.5;
	justify-content: flex-start;
}

/*커뮤니티 상세*/
.community-title {
	padding: 10px 0;
	border-bottom: 1px solid #ddd;
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.community-table {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.community-info {
	display: flex;
	justify-content: right;
	gap: 10px;
	align-items: center;
	font-size: 13px;
}

.community-container {
	display: flex;
	gap: 10px;
}

.community-author {
	display: flex;
	min-width: 40px;
	max-width: 40px;
	width: 40px;
	justify-content: center;
	align-items: center;
	background-color: #132058;
	border-radius: 100%;
	height: 40px;
	color: #fff;
	text-align: center;
	font-size: 12px;
	line-height: 1;
}

.community-detail {
	font-size: 14px;
	width: 100%;
	line-height: 1.8;
	max-width: 100%;
}

.community-detail .textarea {
	width: 100%;
	max-width: 100%;
	resize: vertical;
}

.community-group {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.views span, .comment span {
	display: flex;
	align-items: center;
	gap: 4px;
	color: #000;
}

.views-text, .comment-text {
	font-size: 12px;
}

.community-icon {
	display: flex;
	gap: 10px;
	align-items: center;
	justify-content: end;
	border-bottom: 1px solid #ddd;
	padding: 10px 0;
	border-top: 1px solid #ddd;
}

.community-list {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.community-text {
	font-size: 22px;
	color: #000;
	font-weight: bold;
	width: 100%;
}

.reply-info {
	display: flex;
	justify-content: space-between;
}

.reply-name {
	font-size: 13px;
	display: flex;
	align-items: center;
}

.community-reply-1 {
	display: flex;
	flex-direction: column;
	border-bottom: 1px solid #ddd;
	padding: 10px 0;
	background-color: #fbfbfb;
	border-top: 1px solid #ddd;
}

.community-reply-1 .reply-con {
	margin-top: 10px;
}

.reply-con .reply-con-writing {
	margin: 10px 0;
}

.reply-group {
	padding: 0 20px;
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.reply-con {
	font-size: 14px;
}

.reply-btn img {
	width: 12px;
}

.reply-btn {
	display: flex;
	align-items: center;
	gap: 10px;
	cursor: pointer;
}

.reply-btn button {
	cursor: pointer;
}

.community-reply-2 {
	display: flex;
	flex-direction: column;
}

.reply-group-2 {
	display: flex;
	flex-direction: column;
	gap: 10px;
	padding: 0 10px;
}

.reply-name span:first-child {
	display: flex;
	align-items: center;
}

.reply-name span:first-child::before {
	content: "";
	background: url('../images/icon/name-icon.png') no-repeat center/contain;
	display: inline-block;
	width: 25px;
	height: 25px;
	margin-right: 2px;
}

.reply-name span:last-child::before {
	content: ""; /* 내용은 비워두고 */
	background: url('../images/icon/line.png') no-repeat center/contain;
	display: inline-block;
	width: 10px;
	height: 10px;
	margin: 0 3px;
}

.reply-group-2 .reply-name::before {
	content: ""; /* 내용은 비워두고 */
	background: url('../images/icon/com-right.png') no-repeat center/contain;
	display: inline-block;
	width: 20px; /* 아이콘 크기 조절 */
	height: 20px;
}

.reply-group-2 .reply-con {
	padding-left: 20px;
}

.reply-con-inp textarea {
	border: 1px solid #ddd;
	padding: 5px;
	width: 100%;
	resize: vertical;
}

.reply-btn button img.correction:hover {
	content: url('../images/icon/pencil-h.png');
}

.reply-btn .delete:hover {
	content: url('../images/icon/delete-h.png');
}

.reply-btn .download:hover {
	content: url('../images/icon/file-download 1.svg');
}

.reply-btn button img.write:hover {
	content: url('../images/icon/comment-h.png');
}

/**/
.search-table-title li {
	flex: 1;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	padding: 10px;
	font-size: 14px;
	font-weight: 500;
}

.search-table-item li {
	flex: 1;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	padding: 10px;
	font-size: 14px;
	text-align: center;
}

.search-table-item li.line-break {
	justify-content: left;
}

.font-big {
	word-break: break-word;
}

.search-table-item li img {
	width: 15px;
}

.search-table-item {
	display: flex;
	width: 100%;
	flex-direction: column;
}

.search-table-group {
	display: flex;
	flex-direction: column;
}

.search-table-title li.line-break {
	text-align: center;
}

/**/
.grid-table .row.row-1 {
	position: relative; /* 자식 절대위치 기준 */
}

.grid-table {
	width: 100%;
	display: flex;
	flex-direction: column;
	font-size: 14px;
	color: #222;
	background: #fff;
	box-sizing: border-box;
}

.table-header, .data-rows {
	display: grid;
	width: 100%;
	box-sizing: border-box;
}

/* 행 구조 동일 */
.table-header .row-1, .table-header .row-2, .data-rows .row {
	display: contents;
}

/* 공통 셀 */
.cell {
	padding: 5px;
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
	word-break: break-word;
	box-sizing: border-box;
	border-right: 1px solid #ededed;
	border-bottom: 1px solid #ededed;
}

/* 헤더 */
.table-header .cell {
	font-weight: 600;
	background: #f6f7fb;
	border-right: 1px solid #ddd;
}

.table-header {
	border-top: 1px solid #ddd;
}

.table-header .cell:last-child {
	border-right: none;
}

.cell:last-child {
	border-right: none;
}

/* rowspan, colspan 효과 */
.cell[rowspan="2"] {
	grid-row: span 2;
}

/* 데이터 영역 */
.data-item:nth-child(odd) {
	background-color: #f6f7fb;
}

.data-item {
	display: flex;
	flex-direction: column;
	transition: background 0.2s;
}

/**/
li.line-short {
	flex: 0.5;
}

li.line-sx-short {
	flex: 0.1;
}

.search-table-list {
	border-bottom: 1px solid #ddd;
	width: 100%;
	display: flex;
}

.search-table-list.text-top {
	background-color: #edf2ff;
}

.search-table-list.none {
	justify-content: center;
}

.search-table-list a {
	width: 100%;
}

.search-table-list ul {
	display: flex;
	width: 100%;
}

.views-group, .comment-group {
	display: flex;
	gap: 5px;
	align-items: center;
}

.views-group .icon img {
	width: 15px;
}

.comment-group .icon img {
	width: 15px;
}

/*api관리*/
.api-list {
	display: flex;
	flex-direction: column;
	width: 25%;
	gap: 10px;
}

.list-title {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.list-table-group {
	display: flex;
	flex-direction: column;
}

.list-table-title {
	display: flex;
	background-color: #f9fafb;
	padding: 3px;
	border: 1px solid #ddd;
}

.list-table-title ul {
	display: flex;
	width: 100%;
}

.list-table-title ul li {
	flex: 1;
	text-align: center;
	font-size: 14px;
	font-weight: bold;
}

.api-detail {
	display: flex;
	flex-direction: column;
	width: calc(75% - 10px);
	gap: 10px;
}

.api-detail form {
	display: contents;
}

.detail-title {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.list-table-item {
	display: flex;
	flex-direction: column;
	max-height: 360px;
	overflow: auto;
	scrollbar-width: thin;
	scrollbar-color: #0000001f transparent;
}

.list-table-list {
	display: flex;
	width: 100%;
	padding: 3px;
	border-bottom: 1px solid #ddd;
	border-right: 1px solid #ddd;
	border-left: 1px solid #ddd;
	line-height: 2;
}

.list-table-list.active {
	background-color: #edf2ff;
	font-weight: bold;
	color: #132058;
}

.list-table-list ul {
	display: flex;
	width: 100%;
}

.list-table-list ul li {
	flex: 1;
	text-align: center;
	font-size: 13px;
}

.list-table-list a {
	width: 100%;
}

.list-table-list:hover {
	background-color: #EDF2FF;
}

/* api 관리*/
.tab-container {
	width: 100%;
}

.list_opentype.admin li.select>a {
	background: #edf2ff;
	color: #132058;
	font-weight: 600;
}

.list_opentype li>a {
	display: block;
	padding: 15px 20px;
	font-weight: 400;
	border-bottom: 1px solid #ddd;
	color: #000;
}

/* 탭 버튼 */
.tab-buttons {
	display: flex;
	border-bottom: 1px solid #132058;
}

.tab-buttons button {
	flex: 1;
	padding: 5px;
	cursor: pointer;
	font-size: 13px;
	transition: background 0.3s;
	background-color: #f9fafb;
	border-right: 1px solid #ddd;
	border-top: 1px solid #ddd;
	line-height: 2;
}

.tab-buttons button:first-child {
	border-left: 1px solid #ddd;
}

.tab-buttons button.active {
	background: #132058;
	color: #fff;
	font-weight: bold;
	border: 1px solid #132058;
}

/* 탭 내용 */
.tab-content {
	display: none;
	padding: 10px;
	background: #fff;
	border: 1px solid #132058;
	border-top: none;
}

.tab-content.active {
	display: block;
}

.tab-group {
	display: flex;
	flex-direction: column;
	gap: 20px;
}

.tab-con {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

/* db 파일업로드 */
.file-upload-wrapper {
	display: flex;
	position: relative;
	width: 100%;
	align-items: center;
	gap: 5px;
}

.file-upload-wrapper button {
	display: flex;
}

/* 실제 input 숨기기 */
.file-upload-wrapper input[type="file"] {
	display: none;
}

/* 업로드 버튼 디자인 */
.file-upload-btn {
	display: flex;
	color: #000000;
	cursor: pointer;
	font-size: 15px;
	font-weight: bold;
	transition: background 0.3s;
}

/* 파일 이름 표시 */
.file-name {
	font-size: 12px;
	color: #949494;
	display: flex;
	width: 100%;
	text-align: left;
	cursor: pointer;
	display: inline-block;
	padding: 0px 10px; /* 클릭하기 쉬운 영역 확보 */
}

/* 아이콘 크기 */
.file-upload-btn svg {
	width: 22px;
	height: 22px;
	fill: #ccc; /* 업로드 전 회색 */
	transition: fill 0.3s;
}

.file-upload-btn.active svg {
	fill: #ffc107;
}

.file-name.active {
	color: #333;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 1;
	overflow: hidden;
	text-overflow: ellipsis;
	word-break: break-word;
}

.search-table-list ul label.db-name {
	display: none;
}

/*공지사항*/
.notice-list {
	display: flex;
	flex-direction: column;
}

.notice-content {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.notice-top {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.writing-info {
	display: flex;
	justify-content: right;
	gap: 10px;
	align-items: center;
	font-size: 13px;
}

.writing-title {
	padding: 10px 0;
	border-bottom: 1px solid #ddd;
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.writing-text {
	font-size: 22px;
	color: #000;
	font-weight: bold;
	width: 100%;
}

.writing-author {
	display: flex;
	min-width: 40px;
	max-width: 40px;
	width: 40px;
	justify-content: center;
	align-items: center;
	background-color: #132058;
	border-radius: 100%;
	height: 40px;
	color: #fff;
	text-align: center;
	font-size: 12px;
	line-height: 1;
}

.writing-detail {
	min-height: 100%;
	font-size: 15px;
}

.w-55 {
	width: calc(100% - 55px);
}

.writing-detail .textarea {
	width: 100%;
	height: 100%;
	display: flex;
	min-height: 50vh;
	resize: vertical;
}

.notice-top-group {
	display: flex;
	width: 100%;
	justify-content: space-between;
	align-items: center;
	padding: 10px;
	background-color: #edf2ff;
}

.community-top-group {
	display: flex;
	width: 100%;
	justify-content: right;
	align-items: center;
	padding: 10px;
	background-color: #edf2ff;
	gap: 10px;
}

/*첨부파일*/
.attach-wrap-group {
	display: flex;
	flex-direction: column;
	width: 100%;
	gap: 10px;
	box-sizing: border-box;
}
.attach-head{
    display: flex;
    gap: 10px;	
}

.attach-wrap {
	border: 1px solid #d5d5d5;
	padding: 10px;
	background: #edf2ff;
	display: flex;
	width: 100%;
	gap: 10px;
}

.attach-title {
	min-width: fit-content;
	font-size: 15px;
	display: flex;
	font-weight: 600;
	justify-content: left;
	align-items: center;
}

.attach-inner-box{
    display: flex;
    gap: 10px;
    flex-direction: column;	
}
.attach-input-box {
	display: flex;
	gap: 5px;
	align-items: center;
	width: 100%;
	border: 1px dashed #132058;
	padding: 10px;
	background: #ffffff;
	color: #fff;
	font-size: 14px;
	text-align: center;
	flex-direction: column;
}

.attach-input-box.drag-over {
	border: 2px dashed #0c4da2;
	background: #eef5ff;
}

.attach-input-box p {
	color: #000;
}

.attach-label {
	padding: 5px 10px;
	background-color: #132058;
	border-radius: 5px;
	cursor: pointer;
}

.attach-input {
	display: none;
}

.new-icon-group {
	display: flex;
	gap: 5px;
}

.attach-list {
	list-style: none;
	padding: 0;
	margin: 0;
	max-height: 127px;
	overflow: auto;
	scrollbar-width: thin;
	scrollbar-color: #00000052 #ffffff80;
	display: flex;
	flex-direction: column;
	gap: 5px;
}

.attach-list li {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 8px 10px;
	border: 1px solid #ddd;
	border-radius: 4px;
	background: #fff;
	font-size: 14px;

}

.attach-list li span.file-title {
	position: relative;
	align-items: center;
	gap: 5px;
	max-width: calc(100% - 80px);
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 1;
	overflow: hidden;
	text-overflow: ellipsis;
	word-break: break-word;
	margin: 0;
	white-space: normal;
}

.attach-list li span.file-title::before {
	content: "";
	display: inline-block;
	min-width: 20px;
	height: 20px;
	background: url(../images/icon/folde.png) no-repeat center/contain;
	vertical-align: bottom;
	margin-right: 5px;
}

.attach-list li.on {
	border: 2px solid #2d50ff8c;
}

.attach-delete {
	color: #d32f2f;
	cursor: pointer;
	font-size: 13px;
}

/**/
/* 전체 감싸는 영역 */
.notice-top-toggle {
	display: flex;
	align-items: center;
	gap: 10px;
	margin: 15px 0;
}

/* 기본 체크박스 숨김 */
.toggle-input {
	display: none;
}

/* 스위치 스타일 */
.toggle-label {
	display: flex;
	align-items: center;
	cursor: pointer;
	user-select: none;
	gap: 8px;
}

/* 스위치 본체 */
.toggle-switch {
	position: relative;
	width: 40px;
	height: 20px;
	background: #ccc;
	border-radius: 20px;
	transition: background 0.3s;
}

/* 동그라미 버튼 */
.toggle-switch::before {
	content: "";
	position: absolute;
	top: 2px;
	left: 2px;
	width: 16px;
	height: 16px;
	background: #fff;
	border-radius: 50%;
	transition: transform 0.3s;
}

/* 체크 시 ON 상태 */
.toggle-input:checked+.toggle-label .toggle-switch {
	background: #132058;
}

.toggle-input:checked+.toggle-label .toggle-switch::before {
	transform: translateX(20px);
}

.line-middle-left {
	flex: 1.7 !important;
	justify-content: flex-start !important;
}

.line-middle {
	flex: 1.7 !important;
}

.line-short-center {
	flex: 0.5 !important;
}

.release-detail-list {
	display: flex;
	flex-direction: column;
	width: 100%;
	align-items: flex-start;
	gap: 5px;
}

.release-detail-sub {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 5px;
	font-size: 14px;
}

.release-detail-sub span::before {
	content: '-';
	display: inline-block;
	margin-right: 5px;
}

.update-bge {
	font-size: 12px;
	border: 1px solid #dce6ff;
	border-radius: 5px;
	padding: 5px;
	vertical-align: middle;
	background-color: #edf2ff;
	color: #2d50ff;
	align-items: center;
	display: flex;
}

.new-bge {
	font-size: 12px;
	border: 1px solid #ffb2b2;
	border-radius: 5px;
	padding: 0 8px;
	vertical-align: middle;
	background-color: #fff3f3;
	color: #eb0000;
	align-items: center;
	display: flex;
}

.release-detail-title {
	display: flex;
	gap: 10px;
}

.tag {
	line-height: 1.4;
	color: #7f8ca9;
	background-color: #e1e8fa;
	border-radius: 5px;
	padding: 5px;
	display: inline-flex;
	gap: .5rem;
	align-items: center;
	font-weight: 500;
	border: none;
	margin: 0;
	height: 25px;
	width: max-content;
}

.tag button {
	display: flex;
	padding: 0;
	cursor: pointer;
	width: 7px;
	height: 7px;
	justify-content: center;
	align-items: center;
}

.tag button:before {
	content: "";
	display: flex;
	width: 6px;
	height: 6px;
	background-color: #7f8ca9;
	mask-image: url(../images2/icon_cancle.153971d6.svg);
	-webkit-mask-image: url(../images2/icon_cancle.153971d6.svg);
	mask-position: center center;
	-webkit-mask-position: center center;
	mask-size: 10px auto;
	-webkit-mask-size: 10px auto;
	mask-repeat: no-repeat;
	-webkit-mask-repeat: no-repeat;
}

.hidden, caption, legend {
	position: absolute;
}

.hidden {
	overflow: hidden;
	border: 0;
	width: 1px;
	height: 0;
	clip: rect(1px, 1px, 1px, 1px);
	clip-path: inset(50%);
	display: inline-block;
}

em {
	font-style: normal;
}

.information-area.column {
	padding: 5px 0px;
	align-items: flex-start;
}

.tag-text {
	display: flex;
	gap: 5px;
	flex-wrap: wrap;
}

.information-text input.remark {
	width: 100%;
}

.procedure-list {
	display: flex;
	flex-direction: column;
	flex: 1;
	gap: 10px;
}

.procedure-detail {
	display: flex;
	flex-direction: column;
	flex: 2;
	gap: 10px;
	height: 100%;
}

.procedure-detail-group {
	display: flex;
	flex-direction: column;
	gap: 10px;
	height: 100%;
}

.list-table-group li.icon {
	display: flex;
	align-items: center;
	gap: 5px;
}

.list-table-group li.icon a {
	position: relative;
	display: flex;
	align-items: center;
	gap: 5px;
}

.list-table-group li.icon.open a::after {
	content: "▼";
	font-size: 7px;
	position: absolute;
}

.list-table-group li.icon.collapsed a::after {
	content: "▶";
	font-size: 7px;
	position: absolute;
}

.inactive {
	display: none !important;
}

.list-table-group li.icon.collapsed a::before {
	content: "";
	display: flex;
	width: 30px;
	height: 27px;
	background: url(../images/icon/close_folder.png) no-repeat center/contain;
	margin-left: 10px;
}

.list-table-group li.icon.open a::before {
	content: "";
	display: flex;
	width: 30px;
	height: 30px;
	background: url(../images/icon/folde.png) no-repeat center/contain;
	margin-left: 10px;
}

.list-table-group li.depth-1 {
	margin-left: 15px;
}

.list-table-group li.depth-2 {
	margin-left: 15px;
	position: relative;
	padding-left: 25px;
}

.list-table-group li.depth-3 {
	margin-left: 60px;
	position: relative;
	padding-left: 25px;
}

.last::before {
	content: "-";
	position: absolute;
	top: 0;
	left: 15px;
}

.procedure-list .list-table-group {
	display: flex;
	flex-direction: column;
	gap: 10px;
	border: 1px solid #ddd;
	padding: 10px 5px 10px 15px;
	background-color: #edf2ff;
	overflow: auto;
	min-height: calc(100% - 33px);
	font-size: 13px;
	line-height: 2.5;
	border-radius: 5px;
	width: 100%;
	scrollbar-width: thin;
	scrollbar-color: #0000001f transparent;
	height: 917px;
}

.information-text span::after {
	content: "";
	display: inline-block;
	width: 20px;
	height: 20px;
	background-image: url(../images/icon/next.svg);
	background-size: contain;
	background-repeat: no-repeat;
	vertical-align: middle;
}

.information-text span:last-child::after {
	content: none; /* 마지막 요소는 제거 */
}

.patient-search2 {
	position: relative;
	background-color: #ffffff;
	border-radius: 5px;
	overflow: hidden;
	display: flex;
	align-items: center;
	height: 30px;
	width: 100%;
	border: solid 1px #cdcdcd;
}

.patient-search2 input {
	border: none;
	border-radius: 0;
	width: 100%;
	padding-right: 45px;
	min-width: 100px;
	padding-left: 5px;
	font-size: 14px;
}

.patient-search2 button.delete {
	content: "";
	display: flex;
	width: 10px;
	height: 10px;
	background-color: #7f8ca9;
	mask-image: url(../images2/icon_cancle.153971d6.svg);
	-webkit-mask-image: url(../images2/icon_cancle.153971d6.svg);
	mask-position: center center;
	-webkit-mask-position: center center;
	mask-size: 10px auto;
	-webkit-mask-size: 10px auto;
	mask-repeat: no-repeat;
	-webkit-mask-repeat: no-repeat;
	position: absolute;
	right: 10px;
}

.content-sub-row {
	background-color: #fff;
	display: flex;
	gap: 5px;
}

.content-search-group {
	display: flex;
	flex-direction: column;
	gap: 5px;
}

.search-list {
	padding: 5px;
	font-size: 13px;
	line-height: 1.8;
	background-color: #edf2ff;
	border-radius: 5px;
	max-height: 235px;
	min-height: 235px;
	overflow: auto;
	border: 1px solid #ddd;
	scrollbar-width: thin;
	scrollbar-color: #0000001f transparent;
}

.search-list>ul>li.on {
	background: #0D3056;
	color: white; /* 글자색 흰색 */
	font-weight: bold; /* 볼드 처리 */
	cursor: pointer;
}

.search-list>ul>li.on:hover {
	background: #0D3056;
	color: white;
}

.search-list>ul>li:hover {
	cursor: pointer;
	background-color: #dbe5ff91;
}

.search-list>ul>li {
	padding: 3px;
}

.content-search-con {
	padding: 5px;
	border: 1px solid #ddd;
	border-radius: 5px;
	display: flex;
	flex-direction: column;
	gap: 5px;
	height: 100%;
}

.search-list ul li {
	border-bottom: 1px solid #ddd;
}

.long-tag {
	line-height: 1.4;
	color: #7f8ca9;
	background-color: #e1e8fa;
	border-radius: 5px;
	display: inline-flex;
	gap: .5rem;
	align-items: center;
	font-weight: 500;
	border: none;
	margin: 0;
	width: 100%;
	justify-content: space-between;
	padding: 5px 10px;
	font-size: 13px;
}

.long-tag.on {
	line-height: 1.4;
	color: #ffffff;
	background-color: #0D3056;
	border-radius: 5px;
	display: inline-flex;
	gap: .5rem;
	align-items: center;
	font-weight: 500;
	border: none;
	margin: 0;
	width: 100%;
	justify-content: space-between;
	padding: 5px 10px;
	font-size: 13px;
}

.long-tag button:before {
	content: "";
	display: flex;
	width: 10px;
	height: 10px;
	background-color: #7f8ca9;
	mask-image: url(../images2/icon_cancle.153971d6.svg);
	-webkit-mask-image: url(../images2/icon_cancle.153971d6.svg);
	mask-position: center center;
	-webkit-mask-position: center center;
	mask-size: 10px auto;
	-webkit-mask-size: 10px auto;
	mask-repeat: no-repeat;
	-webkit-mask-repeat: no-repeat;
}

.h-180 {
	max-height: 180px;
	overflow: auto;
	min-height: 30px;
	scrollbar-width: thin;
	scrollbar-color: #0000001f transparent;
}

.h-350 {
	max-height: 353px;
	overflow: auto;
	min-height: 30px;
	scrollbar-width: thin;
	scrollbar-color: #0000001f transparent;
}

/**/
.list-table-group li>a>b {
	display: inline;
	align-items: center;
	font-weight: 400;
	position: relative;
	vertical-align: middle;
	margin-right: 3px;
}

.list-table-group li>a.on>b {
	font-weight: bolder;
	color: #2d50ff;
}

.list-table-group li a.open>b::before {
	content: "";
	display: inline-block;
	width: 30px;
	height: 30px;
	background: url(../images/icon/folde.png) no-repeat center/contain;
	margin-left: 10px;
	top: 0;
	vertical-align: middle;
}

.list-table-group li a.open>b::after {
	content: "▼";
	font-size: 7px;
	position: absolute;
	left: 0;
	top: 5px;
	color: #000;
}

.list-table-group li a.collapsed>b::before {
	content: "";
	display: inline-block;
	width: 30px;
	height: 27px;
	background: url(../images/icon/close_folder.png) no-repeat center/contain;
	margin-left: 10px;
	top: 0;
	vertical-align: middle;
}

.list-table-group li a.collapsed>b::after {
	content: "▶";
	font-size: 7px;
	position: absolute;
	left: 0;
	top: 5px;
	color: #000;
}

.list-table-group li a.last>b::before, .list-table-group li a.last>b::after
	{
	content: none;
}

.list-table-group.column {
	font-size: 13px;
	line-height: 2.5;
}

.list-table-group.column ul.tree-total-group, .tree-total-group {
	height: 265px;
	overflow: auto;
	border: 1px solid #ddd;
	padding: 10px;
	border-radius: 5px;
	background-color: #edf2ff;
	font-size: 13px;
	display: flex;
	flex-direction: column;
	gap: 10px;
	scrollbar-width: thin;
	scrollbar-color: #0000001f transparent;
}

.list-table-group button {
	position: relative;
	top: auto;
	right: auto;
	transform: unset;
	display: inline-block;
	min-width: 20px;
	height: 20px;
	justify-content: center;
	align-items: center;
	vertical-align: middle;
	border: solid 1px #cdcdcd;
	border-radius: 3px;
	background-color: #ffffff;
	margin-right: 2px;
}

.list-table-group.column button.delete:before {
	content: '';
	display: flex;
	width: 100%;
	height: 100%;
	background-color: red;
	mask-position: 50% 50%;
	-webkit-mask-position: 50% 50%;
	mask-repeat: no-repeat;
	-webkit-mask-repeat: no-repeat;
	mask-size: 80% auto;
	-webkit-mask-size: 80% auto;
	mask-image: url(../images/icon/cross-small.svg);
	-webkit-mask-image: url(../images/icon/cross-small.svg);
}

button.add:before {
	content: '';
	display: flex;
	width: 100%;
	height: 100%;
	background-color: #395ad4;
	mask-position: 50% 50%;
	-webkit-mask-position: 50% 50%;
	mask-repeat: no-repeat;
	-webkit-mask-repeat: no-repeat;
	mask-image: url(../images/icon/plus-small.svg);
	-webkit-mask-image: url(../images/icon/plus-small.svg);
	mask-size: 100% auto;
	-webkit-mask-size: 100% auto;
	-webkit-mask-position: 50% 50%;
}

button.edit:before {
	content: '';
	display: flex;
	width: 100%;
	height: 100%;
	background-color: #333333;
	mask-position: center center;
	-webkit-mask-position: center center;
	mask-repeat: no-repeat;
	-webkit-mask-repeat: no-repeat;
	mask-image: url(../images/icon/settings.svg);
	-webkit-mask-image: url(../images/icon/settings.svg);
	mask-size: 55% auto;
	-webkit-mask-size: 55% auto;
}

.list-table-group.column li.title {
	display: flex;
	flex-direction: column;
}

.list-table-group li.title .tree-group {
	display: flex;
	width: 100%;
	flex-direction: column;
	padding-left: 15px;
}

.list-table-group li.title .tree-group li {
	display: flex;
	flex-direction: column;
}

.list-table-group li.title .tree-group li a {
	position: relative;
}

.list-table-group li.title .tree-group li a.last::before {
	content: "-";
	position: absolute;
	top: 0;
	left: 0px;
	display: contents;
}

.list-table-group li.title .tree-group li a.last>b {
	margin-left: 5px;
}

.content-search-group  li.ch-box {
	display: flex;
	gap: 5px;
	cursor: pointer;
	align-items: center;
}

.ch-box input[type="checkbox"] {
	width: 16px;
	height: 16px;
	cursor: pointer;
}

.layer-wrap {
	position: fixed;
	top: 50%;
	left: 50%;
	width: 420px;
	max-width: 90%;
	background-color: #fff;
	border-radius: 5px;
	box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
	transform: translate(-50%, -50%);
	z-index: 1000;
	display: none;
	font-family: 'Noto Sans KR', sans-serif;
	height: auto;
}

/* 상단 타이틀 영역 */
.layer-top {
	padding: 10px 15px;
	border-bottom: 1px solid #ddd;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.layer-title {
	font-size: 18px;
	font-weight: 600;
	margin: 0;
}

/* 콘텐츠 영역 */
.layer-content {
	padding: 0px 5px 0 0;
	max-height: 600px;
	overflow: auto;
}

/* 입력 영역 */
.layer-input {
	display: flex;
	margin-bottom: 15px;
	overflow: auto;
	/* 	height: 500px; */
	padding: 10px 5px 10px 10px;
	overflow: visible;
}

.layer-label-area {
	width: 100px;
	font-weight: 500;
	font-size: 14px;
	padding-top: 8px;
}

.layer-item-area {
	display: flex;
	flex-wrap: wrap; /* 다음 줄로 이동 허용 */
	gap: 5px;
	width: 100%;
}

.layer-item-area-group {
	display: flex;
	width: 100%;
	gap: 20px;
}

.layer-item-area label.layer-checkbox-hf {
	width: 100px;
}

.layer-select, .layer-item-area input[type="text"], .layer-item-area select
	{
	width: 100%;
	padding: 3px;
	font-size: 14px;
	border: 1px solid #ccc;
	border-radius: 4px;
}

.layer-select-wrap {
	overflow: visible !important;
}

/* 체크박스 라벨 스타일 */
.layer-item-area label {
	display: inline-block;
	font-size: 14px;
	cursor: pointer;
}

.layer-checkbox {
	margin-right: 5px;
}

/* 하단 버튼 영역 */
.layer-btn-wrap {
	padding: 16px 20px;
	text-align: right;
	border-top: 1px solid #eee;
}

.layer-btn-wrap .btn {
	background-color: #132058;
	color: #fff;
	padding: 8px 18px;
	font-size: 14px;
	border: none;
	border-radius: 4px;
	cursor: pointer;
}

.layer-btn-wrap .btn:hover {
	background-color: #132058;
}

.btn-file-download .dw {
	display: inline-block;
	width: 20px;
	height: 20px;
	background-image: url(../images/icon/file-download.svg);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}

.btn-file-remove .del {
	display: inline-block;
	width: 14px;
	height: 14px;
	background-image: url(../images/icon/delete.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
}

/**/
.custom-select {
	position: relative;
	width: 100%; /* 필요 시 조절 */
	font-size: 14px;
	z-index: 999999;
}

.custom-select .selected {
	border: 1px solid #ddd;
	padding: 5px 10px;
	cursor: pointer;
	background: #fff;
	width: 100%;
	border-radius: 5px;
}

.custom-select .options {
	display: none;
	position: absolute;
	top: 100%;
	left: 0;
	width: 100%;
	max-height: 110px;
	overflow-y: auto;
	border: 1px solid #ccc;
	background: #fff;
	z-index: 9999;
	border-radius: 5px;
	margin-top: 5px;
}

/* ▼ 아이콘 추가 */
.custom-select .selected::after {
	content: "▼"; /* ▼ 아이콘 */
	position: absolute;
	right: 10px; /* 오른쪽 여백 */
	top: 50%;
	transform: translateY(-50%);
	font-size: 12px; /* 아이콘 크기 */
	color: #555;
	pointer-events: none; /* 클릭 이벤트 방해하지 않음 */
}

.custom-select .options li {
	padding: 6px 10px;
	cursor: pointer;
}

.custom-select .options li:hover {
	background-color: #f0f0f0;
}

/**/
.mobile-custom-select {
	display: none;
}

/*대시보드*/
.dashboard-group {
	display: flex;
	flex-direction: column;
	width: 100%;
	gap: 20px;
	padding: 20px 0;
}

.dashboard-list {
	display: flex;
	width: 100%;
	gap: 15px;
}

.dashboard-content-title {
	font-size: 14px;
	font-weight: 600;
}

.dashboard-item {
	display: flex;
	flex: 1;
	background-color: #fff;
	flex-direction: column;
	gap: 0px;
	border: 1px solid #e1e1e1;
	padding: 15px;
	border-radius: 10px;
	width: 100%;
}

.dashboard-item-top h2 {
	margin: 0 5px;
	font-size: 14px;
	color: #6b7280;
	font-weight: 600;
}

.dashboard-item-content {
	display: flex;
	width: 100%;
	gap: 15px;
	background-color: #fff;
}

.dashboard-content-group {
	padding: 10px 0;
	width: 100%;
	display: flex;
	flex-direction: column;
	gap: 10px;
	height: 215px;
	justify-content: center;
}

.note-editable {
	text-align: initial !important; /* 기본 정렬로 초기화 */
}

.note-frame {
	width: 100%;
}

.dashboard-table {
	width: 100%;
	height: 100%;
}

.dashboard-table tr {
	font-size: 14px;
}

.dashboard-table th {
	padding: 5px;
	font-weight: bold;
	font-size: 13px;
}

.dashboard-table>thead>tr {
	border-top: 1px solid #ddd;
	border-bottom: 1px solid #ddd;
	background-color: #f7f9ff;
}

.dashboard-table td {
	padding: 2px 5px;
	text-align: center;
	line-height: 2;
	border-bottom: 1px solid #ddd;
}

.dashboard-table {
	table-layout: fixed;
	width: 100%;
}

.dashboard-table th, .dashboard-table td {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

/* 이름 */
.dashboard-table th:nth-child(1), .dashboard-table td:nth-child(1) {
	width: 20%;
}

/* 소속 — 가장 넓게 */
.dashboard-table th:nth-child(2), .dashboard-table td:nth-child(2) {
	width: 45%;
}

/* 구분 */
.dashboard-table th:nth-child(3), .dashboard-table td:nth-child(3) {
	width: 15%;
}

/* 상태 */
.dashboard-table th:nth-child(4), .dashboard-table td:nth-child(4) {
	width: 20%;
}

.corptypepiechart {
	width: 100%;
	height: 100%;
}

.dashboard-list-item {
	width: 100%;
	gap: 10px;
	display: flex;
}

.dashboard-list-item div.dashboard-list-con {
	flex: 1;
	display: flex;
	gap: 5px;
	padding: 20px;
	background-color: #fff;
	border-radius: 10px;
	border: 1px solid #ddd;
	font-size: 14px;
	color: #666666;
	position: relative;
	flex-direction: column;
}

.list-percentage-group {
	display: flex;
	align-items: baseline;
	gap: 10px;
}

.dashboard-list-item div.dashboard-list-con:hover {
	border-color: rgb(183 183 183/ 30%);
	box-shadow: 0 0 3px 1px rgb(134 145 255/ 20%);
	background-color: #edf2ff;
}

.std-data-item:hover {
	border-color: rgb(183 183 183/ 30%);
	box-shadow: 0 0 3px 1px rgb(134 145 255/ 20%);
	background-color: #fff;
}

.dashboard-list-item div.dashboard-list-con {
	position: relative;
	cursor: pointer;
}


.dashboard-list-item div.dashboard-list-con p {
	font-size: 25px;
	color: #000;
}

.dashboard-list-con h5 {
	font-size: 14px;
}

.dashboard-list-item div.dashboard-list-con span.approved-cnt {
	font-size: 13px;
	border: 1px solid #2d50ff;
	border-radius: 50px;
	padding: 0 9px;
	right: 10px;
	top: 10px;
	color: #2d50ff;
	font-weight: 600;
	background-color: #ddf1ff;
}

.dashboard-list-item div.dashboard-list-con span.wait-pct {
	font-size: 13px;
	border: 1px solid #50d9a7;
	color: #50d9a7;
	border-radius: 50px;
	padding: 0 9px;
	right: 10px;
	top: 10px;
	font-weight: 600;
	background-color: #d2ffec;
}

.dashboard-list-item div.dashboard-list-con span.rejected-cnt {
	font-size: 13px;
	border: 1px solid #fd4e87;
	color: #fd4e87;
	border-radius: 50px;
	padding: 0 9px;
	right: 10px;
	top: 10px;
	font-weight: 600;
	background-color: #ffe8ec;
}

.dashboard-list-item div.dashboard-list-con span:after {
	content: "%";
}

.period-area {
	display: flex;
	align-items: center;
	gap: 10px;
	justify-content: end;
}

.date-start, .date-end {
	padding: 4px 10px;
	border: 1px solid #ddd;
	border-radius: 5px;
}

.date-group {
	display: flex;
	gap: 10px;
}

.date-start>.datepicker, .date-end>.datepicker {
	font-size: 14px;
}

.dashboard-item-top {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.sort-dete-select {
	padding: 3px 5px;
	border: 1px solid #ddd;
	border-radius: 5px;
	font-size: 14px;
}

.search-table-list ul li.line-break {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 1;
	overflow: hidden;
	text-overflow: ellipsis;
	word-break: break-word;
	margin: 0;
	white-space: normal;
	text-align: justify;
	line-height: 1.5;
	height: 30px;
}

.dashboard-list-item div.dashboard-list-con p {
	font-size: 25px;
	color: #000;
	font-weight: 600;
}

.dashboard-icon-1 {
	display: inline-block;
	width: 40px;
	height: 40px;
	background-image: url(../images/icon/total.png);
	background-size: contain;
	background-repeat: no-repeat;
	vertical-align: middle;
	position: absolute;
	right: 15px;
	top: 10px;
}

.dashboard-icon-2 {
	display: inline-block;
	width: 40px;
	height: 40px;
	background-image: url(../images/icon/wait.png);
	background-size: contain;
	background-repeat: no-repeat;
	vertical-align: middle;
	position: absolute;
	right: 15px;
	top: 10px;
}

.dashboard-icon-3 {
	display: inline-block;
	width: 40px;
	height: 40px;
	background-image: url(../images/icon/approved.png);
	background-size: contain;
	background-repeat: no-repeat;
	vertical-align: middle;
	position: absolute;
	right: 15px;
	top: 10px;
}

.dashboard-icon-4 {
	display: inline-block;
	width: 40px;
	height: 40px;
	background-image: url(../images/icon/rejected.png);
	background-size: contain;
	background-repeat: no-repeat;
	vertical-align: middle;
	position: absolute;
	right: 15px;
	top: 10px;
}